import { ContactSectionBlock as ContactSectionBlockType } from "@/gql/graphql";
import styles from "./contactSection.module.scss";
import { Blocks } from "./Blocks";

export const ContactSectionBlock = ({
  block,
}: {
  block: ContactSectionBlockType;
}) => {
  return (
    <section className={styles.contactSection}>
      <h2 className={styles.heading}>{block.title}</h2>
      {block.text && (
        <p
          className={styles.intro}
          dangerouslySetInnerHTML={{ __html: block.text }}
        />
      )}
      <Blocks blocks={block.blocks} />
    </section>
  );
};

export const ContactSubsectionBlock = ({
  block,
}: {
  block: ContactSectionBlockType;
}) => {
  return (
    <section className={styles.contactSubsection}>
      <h3 className={styles.heading}>{block.title}</h3>
      {block.text && (
        <p
          className={styles.intro}
          dangerouslySetInnerHTML={{ __html: block.text }}
        />
      )}
      <Blocks blocks={block.blocks} />
    </section>
  );
};
